> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List persona signals

> Returns the notable differences in visibility between the personas of the site. Use `date_range` to select the period (`7g`, `1a`, `3a`, `6a`, `1y` or `custom` with `since` and `until`). Use `llm` to limit the data to some AI assistants.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/personas/signals
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/personas/signals:
    get:
      tags:
        - Personas
      summary: List persona signals
      description: >-
        Returns the notable differences in visibility between the personas of
        the site. Use `date_range` to select the period (`7g`, `1a`, `3a`, `6a`,
        `1y` or `custom` with `since` and `until`). Use `llm` to limit the data
        to some AI assistants.
      operationId: persona_signals
      parameters:
        - in: query
          name: date_range
          schema:
            enum:
              - 7g
              - 1a
              - 3a
              - 6a
              - 1y
              - custom
            type: string
            default: 1a
            minLength: 1
          description: |-
            * `7g` - 7g
            * `1a` - 1a
            * `3a` - 3a
            * `6a` - 6a
            * `1y` - 1y
            * `custom` - custom
        - in: query
          name: llm
          schema:
            type: array
            items:
              enum:
                - chatgpt
                - gemini
                - claude
                - perplexity
                - googleai
                - grok
                - deepseek
              type: string
              description: |-
                * `chatgpt` - chatgpt
                * `gemini` - gemini
                * `claude` - claude
                * `perplexity` - perplexity
                * `googleai` - googleai
                * `grok` - grok
                * `deepseek` - deepseek
        - in: query
          name: since
          schema:
            type: string
            format: date
          description: The first day of a `custom` range.
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: until
          schema:
            type: string
            format: date
          description: The last day of a `custom` range.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonaSignalsResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    PersonaSignalsResponse:
      type: object
      properties:
        signals:
          type: array
          items:
            $ref: '#/components/schemas/PersonaSignalDTO'
        has_targets:
          type: boolean
        measured_personas:
          type: integer
      required:
        - has_targets
        - measured_personas
        - signals
    PersonaSignalDTO:
      type: object
      properties:
        code:
          type: string
        severity:
          type: string
        subjects:
          type: array
          items:
            $ref: '#/components/schemas/PersonaSignalSubjectDTO'
        spread:
          type: number
          format: double
          nullable: true
        threshold:
          type: number
          format: double
      required:
        - code
        - severity
        - spread
        - subjects
        - threshold
    PersonaSignalSubjectDTO:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
        kind:
          $ref: '#/components/schemas/PersonaKind'
        visibility:
          type: number
          format: double
      required:
        - kind
        - name
        - uuid
        - visibility
    PersonaKind:
      enum:
        - demographic
        - need
        - behavioral
        - custom
      type: string
      description: |-
        * `demographic` - demographic
        * `need` - need
        * `behavioral` - behavioral
        * `custom` - custom
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.